#ifndef ANDROIDASSETPACKAGINGTOOL_H_
#define ANDROIDASSETPACKAGINGTOOL_H_

#include "tool.h"

class AndroidSdk;

class AndroidAssetPackagingTool: public Tool
{
private:
	const AndroidSdk &sdk;

public:
	AndroidAssetPackagingTool(Builder &, const AndroidSdk &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual Task *run(const Target &) const;
};

#endif
