#ifndef COMPILECOMMANDSGENERATOR_H_
#define COMPILECOMMANDSGENERATOR_H_

#include "internaltask.h"
#include "tool.h"

class CompileCommandsJson;

class CompileCommandsGenerator: public Tool
{
private:
	class Worker: public InternalTask::Worker
	{
	private:
		const CompileCommandsJson &target;

	public:
		Worker(const CompileCommandsJson &);

	private:
		virtual void main();
	};

public:
	CompileCommandsGenerator(Builder &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual Task *run(const Target &) const;
};

#endif
