#include "builder.h"
#include "component.h"
#include "executable.h"
#include "sourcepackage.h"

using namespace std;
using namespace Msp;

Executable::Executable(Builder &b, const FS::Path &p):
	Binary(b, p)
{ }

Executable::Executable(Builder &b, const Component &c, const list<ObjectFile *> &objs):
	Binary(b, c, b.get_current_arch().create_filename<Executable>(c.get_name()), objs)
{
	install_location = "bin";
}
