#ifndef MSVCARCHIVER_H_
#define MSVCARCHIVER_H_

#include "tool.h"

class MicrosoftTools;

class MsvcArchiver: public Tool
{
private:
	const MicrosoftTools &ms_tools;

public:
	MsvcArchiver(Builder &, const Architecture &, const MicrosoftTools &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual std::string create_build_signature(const BuildInfo &) const;

	virtual Task *run(const Target &) const;
};

#endif
